Deshabilitación de actualizaciones en segundo plano  

 
Francisco Manuel
 Francisco Manuel
Usuario eminente

Buenas tardes,

Hace unas tres semanas deshabilité que Wordpress hiciese actualizaciones menores de forma automática. Me había informado y no se aconsejaba que si tenía un ecommerce tuviese las actualizaciones automáticas habilitadas. El caso es que ahora Wordpress me indica que tengo el siguiente error crítico en el "Estado de Salud del Sitio":

""Las actualizaciones en segundo plano garantizan que WordPress se puede actualizar automáticamente si se publica una actualización de seguridad para la versión que estás utilizando actualmente.

  • Error La constante WP_AUTO_UPDATE_CORE está definida y activada.
  • Aprobado No se han detectado sistemas de control de versiones.
  • Aprobado Tu instalación de WordPress no requiere credenciales de FTP para realizar actualizaciones.
  • Aprobado Todos tus archivos de WordPress son editables.
  • Error Las actualizaciones de seguridad y mantenimiento de WordPress están bloqueadas por define( 'WP_AUTO_UPDATE_CORE', false );.""

Mi propósito era que si se daban actualizaciones menores, se quedasen pendientes a que yo manualmente autorizase las autorizase. Pero ahora este mensaje creo que me da a entender que hay actualizaciones pendientes y que no se llevan a cabo porque están deshabilitadas.... ¿es así? ¿Cómo podría arreglar este error crítico pero a la vez autorizar yo manualmente las actualizaciones menores?

Gracias!

Francisco 

Contenido solo visible a usuarios registrados

Citar
Respondido : 23/11/2020 8:03 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

De manera general por defecto las actualizaciones menores, las que corrigen problemas de seguridad por ejemplo, esas se hacen autoáticmaente, y no debería generarte conflicto con WooCommerce. A diferencia de las actualizaciones medias y mayores que si que las tendrías que hacer manualmente.

Elimina el código que ingresaste y prueba gestionar tus actualizaciones con un plugin, revisa por ejemplo:
https://wordpress.org/plugins/stops-core-theme-and-plugin-updates/

Saludos.

 

ResponderCitar
Respondido : 23/11/2020 8:18 pm

Cursos Gratuitos WordPress

Francisco Manuel
 Francisco Manuel
Usuario eminente

@jmarreros Gracias por tu rápida respuesta. Desde luego, si estas actualizaciones no suelen presentar problemas con woocommerce quitaré el código, tal como me aconsejas.

Entiendo que las actualizaciones medias y mayores no son automáticas y sí las voy a poder gestionar yo manualmente.

Gracias nuevamente,

Francisco 

ResponderCitar
Respondido : 24/11/2020 8:14 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Francisco, Buenos Días.

Exacto, las actualizaciones menores no suelen dar problemas, las que pueden tener problemas son las actualizaciones de cambio de rama o mayores ya que suelen cambiar la estructura y siempre es mejor esperar un tiempo.

 

un saludo

ResponderCitar
Respondido : 24/11/2020 8:48 am

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación